<?php

    #	SonicCampGuard
    #
    #	Copyright (c) 2024 Bundeswehr
    #	Diese Anwendung wurde von Cedric Prietz entwickelt.
    #	E-Mail: CedricPrietz@bundeswehr.org
    #	App: 90-8303-54618
	  #
    #	Letzte Änderung: 23.09.2024

  require_once('function.inc.php');
    
	if (isset($_COOKIE['remember_token'])) {
        $remember_token = $_COOKIE['remember_token'];
        $sql = "DELETE FROM auth_tokens WHERE remember_token = ?";
        $stmt = $conn->prepare($sql);
        $stmt->bind_param("i", $remember_token);
      	$stmt->execute();
        $stmt->close();
      	setcookie('remember_token', '', time() - 3600, "/"); // Lösche das Cookie
    }
	
   	session_destroy();

	header('location: index');
	exit;
	
?>